VERSION 2.00
Begin Form VBAssist 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "VB Assistant"
   ClientHeight    =   2355
   ClientLeft      =   1095
   ClientTop       =   1485
   ClientWidth     =   3870
   Height          =   2760
   Icon            =   VBASSIST.FRX:0000
   Left            =   1035
   LinkMode        =   1  'Source
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   2355
   ScaleWidth      =   3870
   Top             =   1140
   Width           =   3990
   Begin ListBox lstTextFiles 
      Height          =   1590
      Left            =   1980
      Sorted          =   -1  'True
      TabIndex        =   4
      Top             =   720
      Width           =   1815
   End
   Begin ListBox lstHelpFiles 
      Height          =   1590
      Left            =   60
      Sorted          =   -1  'True
      TabIndex        =   3
      Top             =   720
      Width           =   1815
   End
   Begin CommandButton btnIconEditor 
      Caption         =   "&Icon Editor"
      Height          =   315
      Left            =   1980
      TabIndex        =   2
      Top             =   60
      Width           =   1815
   End
   Begin CommandButton btnSaveNRun 
      Caption         =   "&Save-n-Run"
      Height          =   315
      Left            =   60
      TabIndex        =   1
      Top             =   60
      Width           =   1815
   End
   Begin Label lblTextFiles 
      Caption         =   "Text Files"
      ForeColor       =   &H00FF0000&
      Height          =   195
      Left            =   1980
      TabIndex        =   5
      Top             =   480
      Width           =   1815
   End
   Begin Label lblHelpFiles 
      Caption         =   "Help Files"
      ForeColor       =   &H00FF0000&
      Height          =   195
      Left            =   60
      TabIndex        =   0
      Top             =   480
      Width           =   1815
   End
End
Dim Result As Integer

Sub btnIconEditor_Click ()

    Screen.MousePointer = 11
    On Error GoTo Error_IconEditor

    Result = Shell("\vb\samples\iconwrks\iconwrks", 1)
    GoTo End_IconEditorSub

Error_IconEditor:
    MsgBox "Error executing icon editor.", 16, "VB Assistant"
    Resume End_IconEditorSub

End_IconEditorSub:
    Screen.MousePointer = 0

End Sub

Sub btnSaveNRun_Click ()

    Screen.MousePointer = 11
    On Error GoTo Error_SaveNRun

    AppActivate "Microsoft Visual Basic [design]"
    SendKeys "%FV{F5}"
    GoTo End_SaveNRunSub

Error_SaveNRun:
    MsgBox "Error executing Save-n-Run.", 16, "VB Assistant"
    Resume End_SaveNRunSub

End_SaveNRunSub:
    Screen.MousePointer = 0

End Sub

Sub Form_Load ()
    'Change mouse to hourglass
    Screen.MousePointer = 11

    'Put it way in the lower left corner
    VBAssist.Left = Screen.Width - VBAssist.Width
    VBAssist.Top = Screen.Height - VBAssist.Height

    'Text Files
    lstTextFiles.AddItem "Q+E/VB DBF's"
    lstTextFiles.AddItem "Q+E/VB Err's"
    lstTextFiles.AddItem "Q+E/VB Hints"
    lstTextFiles.AddItem "PropView"
    lstTextFiles.AddItem "VB Constants"
    lstTextFiles.AddItem "VB Quirks"
    lstTextFiles.AddItem "VBPro Constants"
    lstTextFiles.AddItem "VBPro Help Decs"
    lstTextFiles.AddItem "VBPro HugeArry"
    lstTextFiles.AddItem "VBPro Pen API"
    lstTextFiles.AddItem "VBPro SetupKit"
    lstTextFiles.AddItem "VBPro Win API"

    'Help Files
    lstHelpFiles.AddItem "Visual Basic"
    lstHelpFiles.AddItem "Q+E/VB"
    lstHelpFiles.AddItem "Win API"
    lstHelpFiles.AddItem "API XRef"
    lstHelpFiles.AddItem "Setup Kit"
    lstHelpFiles.AddItem "VB Knowledge"
    lstHelpFiles.AddItem "Control XRef"

    'Restore mouse
    Screen.MousePointer = 0
End Sub

Sub lstHelpFiles_DblClick ()

    Screen.MousePointer = 11
    On Error GoTo Error_HelpFiles

    Select Case lstHelpFiles.Text
        Case "Visual Basic"
            Result = Shell("winhelp \vb\vb", 1)
        Case "Q+E/VB"
            Result = Shell("winhelp \qevb\qevb", 1)
        Case "Win API"
            Result = Shell("winhelp \vbpro\winapi\winsdk", 1)
        Case "API XRef"
            Result = Shell("winhelp \vbpro\winapi\apixref", 1)
        Case "Setup Kit"
            Result = Shell("winhelp \vbpro\setupkit\setupkit", 1)
        Case "VB Knowledge"
            Result = Shell("winhelp \vbpro\vbknowlg", 1)
        Case "Control XRef"
            Result = Shell("winhelp \vbpro\ctrlref", 1)
    End Select
    GoTo End_HelpFilesSub

Error_HelpFiles:
    MsgBox "Error executing WinHelp.", 16, "VB Assistant"
    Resume End_HelpFilesSub

End_HelpFilesSub:
    Screen.MousePointer = 0

End Sub

Sub lstTextFiles_DblClick ()

    Screen.MousePointer = 11
    On Error GoTo Error_TextFiles

    Select Case lstTextFiles.Text
        Case "Q+E/VB DBF's"
            Result = Shell("notepad \qevb\qevbdbf.txt", 1)
        Case "Q+E/VB Err's"
            Result = Shell("notepad \qevb\qevberr.txt", 1)
        Case "Q+E/VB Hints"
            Result = Shell("notepad \qevb\xdb.txt", 1)
        Case "PropView"
            Result = Shell("notepad \win\system\propview.txt", 1)
        Case "VB Constants"
            Result = Shell("notepad \vb\texts\constant.txt", 1)
        Case "VB Quirks"
            Result = Shell("notepad \vb\texts\vbquirk.txt", 1)
        Case "VBPro Constants"
            Result = Shell("notepad \vbpro\const2.txt", 1)
        Case "VBPro Help Decs"
            Result = Shell("notepad \vbpro\hc\winhelp.txt", 1)
        Case "VBPro HugeArry"
            Result = Shell("notepad \vbpro\samples\hugearry\readme.txt", 1)
        Case "VBPro Pen API"
            Result = Shell("notepad \vbpro\samples\pen\vbpenapi.txt", 1)
        Case "VBPro SetupKit"
            Result = Shell("notepad \vbpro\setupkit\readme.txt", 1)
        Case "VBPro Win API"
            Result = Shell("\dos\edit.com /h \vbpro\winapi\winapi.txt", 1)
    End Select
    GoTo End_TextFilesSub

Error_TextFiles:
    MsgBox "Error executing text editor.", 16, "VB Assistant"
    Resume End_TextFilesSub

End_TextFilesSub:
    Screen.MousePointer = 0

End Sub

